export declare const EcanList: import("../../utils/withInstall").SFCWithInstall<import("vue").DefineComponent<{
    data: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    columns: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    sliceCount: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    backgroundColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    useRanking: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    useTitle: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    columnCount: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    itemWidth: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    itemHeight: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    itemColSpan: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    itemRowSpan: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    itemPadding: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    seqIcon: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isUseSeq: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    seqWidth: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    seqName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    seqFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isAutoScroll: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    scrollSpeed: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    graphicConfig: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    seqIconWidth: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    seqIconHeight: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    seqIconConfig: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    seqIconOffsetX: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    seqIconOffsetY: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    seqIndexFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    id: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    name: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    keyName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    type: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    width: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    height: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    position: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    top: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    left: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    zIndex: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    rotate: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isRender: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    events: {
        type?: import("vue").PropType<import("../../utils/props").Events>;
        default?: import("../../utils/props").Events;
    };
    requestUrl: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    requestMethod: {
        type?: import("vue").PropType<import("../../utils/props").RequestMethod>;
        default?: import("../../utils/props").RequestMethod;
    };
    requestHeaders: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isOpenRequestTimer: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isViewRedrawing: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    requestInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParams: {
        type?: import("vue").PropType<import("../../utils/props").RequestParams>;
        default?: import("../../utils/props").RequestParams;
    };
    requestSort: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    dataType: {
        type?: import("vue").PropType<"indicator" | "request" | "component" | "static">;
        default?: "indicator" | "request" | "component" | "static";
    };
    scale?: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParamsMode: {
        type?: import("vue").PropType<"2" | "1">;
        default?: "2" | "1";
    };
    customRequestParams: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    dataSetParam?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    requestType?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    componentDoc?: {
        type?: import("vue").PropType<null>;
        default?: null;
    };
    extendData?: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    toolboxShow?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowIndDetail?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowTrend?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    indDetailIconColor?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    indDetailIconFontSize?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
}, {
    style: import("vue").ComputedRef<import("vue").HTMLAttributes>;
    formatFn: (value: string | number, column: any) => any;
    contrastClass: (value: string | number, format: "" | "progress" | "custom" | "money" | "percentage" | "contrast") => "" | "goUp" | "goDown";
    dataSource: import("vue").Ref<{
        [key: string]: any;
    }[]>;
    loading: import("vue").Ref<boolean>;
    myColumns: import("vue").ComputedRef<any>;
    click: (data: any) => void;
    getColumnStyle: (column: any, type?: string) => {
        flex: string;
        width: any;
        height: string;
        lineHeight: string;
        textAlign: any;
        backgroundColor: any;
    };
    getPercentage: (item: any, key: string) => number;
    getBackgroundColor: (column: any) => {
        background: string;
        backgroundColor?: undefined;
    } | {
        backgroundColor: any;
        background?: undefined;
    };
    isShowSeqIcon: (rowIndex: number) => boolean;
    getSeqIconData: (rowIndex: number, type: number) => any;
    seqIcon4: any;
    seqIcon5: any;
    seqIcon6: any;
    seqIcon7: any;
    iconSize: import("vue").ComputedRef<{
        width: number;
        height: number;
    }>;
    isScroll: import("vue").ComputedRef<boolean>;
    formatSeq: (index: number) => any;
    wrapStyle: import("vue").ComputedRef<{
        height: string;
    } | {
        height?: undefined;
    }>;
    colSpan: import("vue").ComputedRef<string>;
    getText: (column: any, item: any) => any;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    data: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    columns: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    sliceCount: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    backgroundColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    useRanking: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    useTitle: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    columnCount: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    itemWidth: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    itemHeight: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    itemColSpan: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    itemRowSpan: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    itemPadding: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    seqIcon: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isUseSeq: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    seqWidth: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    seqName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    seqFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isAutoScroll: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    scrollSpeed: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    graphicConfig: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    seqIconWidth: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    seqIconHeight: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    seqIconConfig: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    seqIconOffsetX: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    seqIconOffsetY: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    seqIndexFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    id: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    name: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    keyName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    type: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    width: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    height: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    position: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    top: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    left: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    zIndex: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    rotate: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isRender: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    events: {
        type?: import("vue").PropType<import("../../utils/props").Events>;
        default?: import("../../utils/props").Events;
    };
    requestUrl: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    requestMethod: {
        type?: import("vue").PropType<import("../../utils/props").RequestMethod>;
        default?: import("../../utils/props").RequestMethod;
    };
    requestHeaders: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isOpenRequestTimer: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isViewRedrawing: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    requestInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParams: {
        type?: import("vue").PropType<import("../../utils/props").RequestParams>;
        default?: import("../../utils/props").RequestParams;
    };
    requestSort: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    dataType: {
        type?: import("vue").PropType<"indicator" | "request" | "component" | "static">;
        default?: "indicator" | "request" | "component" | "static";
    };
    scale?: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParamsMode: {
        type?: import("vue").PropType<"2" | "1">;
        default?: "2" | "1";
    };
    customRequestParams: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    dataSetParam?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    requestType?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    componentDoc?: {
        type?: import("vue").PropType<null>;
        default?: null;
    };
    extendData?: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    toolboxShow?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowIndDetail?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowTrend?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    indDetailIconColor?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    indDetailIconFontSize?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
}>>, {}>> & Record<string, any>;
export default EcanList;
export * from './props';
